#delimit ;
* FIGURE 2: UNDOCUMENTED WAGE PENALTY OVER TIME, USING MINCERIAN REGRESSION;
* ACS;
capture log close;
log using "Logs/Fig_2_ACS.log", replace;

use acs/acs.dta, clear;

* KEEP ONLY IMMIGRANTS;
keep if imm==1;

drop if year==2017;

do generate_vars_and_sample.ado;
* MEN;
forvalues yr = 2008(1)2016 {;
	display `yr';
	regress lwage dbpl* dstate* ysm* deduc* dspeak* dage* legal [aw=perwt] if sex==1 & year==`yr';
	eststo regmenbyyear`yr';
	if(`yr'==2008) {;
		matrix unexplainedmen = [_b[legal]];
		matrix unexplainedmense = [_se[legal]];
	};
	else {;
		matrix unexplainedmen = [unexplainedmen\_b[legal]];
		matrix unexplainedmense = [unexplainedmense\_se[legal]];
	};	
	regress lwage dbpl* dstate* ysm* deduc* dspeak* dage* legal [aw=perwt] if sex==1 & year==`yr' & edcode<=2;
	eststo regmenlowskillbyyear`yr';
	if(`yr'==2008) {;
		matrix unexplainedlsmen = [_b[legal]];
		matrix unexplainedlsmense = [_se[legal]];
	};
	else {;
		matrix unexplainedlsmen = [unexplainedlsmen\_b[legal]];
		matrix unexplainedlsmense = [unexplainedlsmense\_se[legal]];
	};	
	regress lwage dbpl* dstate* ysm* deduc* dspeak* dage* legal [aw=perwt] if sex==1 & year==`yr' & edcode>2;
	eststo regmenhighskillbyyear`yr';
	if(`yr'==2008) {;
		matrix unexplainedhsmen = [_b[legal]];
		matrix unexplainedhsmense = [_se[legal]];
	};
	else {;
		matrix unexplainedhsmen = [unexplainedhsmen\_b[legal]];
		matrix unexplainedhsmense = [unexplainedhsmense\_se[legal]];
	};	
};
* WOMEN;
forvalues yr = 2008(1)2016 {;
	regress lwage dbpl* dstate* ysm* deduc* dspeak* dage* legal [aw=perwt] if sex==2 & year==`yr';
	eststo regwomenbyyear`yr';
	if(`yr'==2008) {;
		matrix unexplainedwomen = [_b[legal]];
		matrix unexplainedwomense = [_se[legal]];
	};
	else {;
		matrix unexplainedwomen = [unexplainedwomen\_b[legal]];
		matrix unexplainedwomense = [unexplainedwomense\_se[legal]];
	};	
	regress lwage dbpl* dstate* ysm* deduc* dspeak* dage* legal [aw=perwt] if sex==2 & year==`yr' & edcode<=2;
	eststo regwomenlowskillbyyear`yr';
	if(`yr'==2008) {;
		matrix unexplainedlswomen = [_b[legal]];
		matrix unexplainedlswomense = [_se[legal]];
	};
	else {;
		matrix unexplainedlswomen = [unexplainedlswomen\_b[legal]];
		matrix unexplainedlswomense = [unexplainedlswomense\_se[legal]];
	};	
	regress lwage dbpl* dstate* ysm* deduc* dspeak* dage* legal [aw=perwt] if sex==2 & year==`yr' & edcode>2;
	eststo regwomenhighskillbyyear`yr';
	if(`yr'==2008) {;
		matrix unexplainedhswomen = [_b[legal]];
		matrix unexplainedhswomense = [_se[legal]];
	};
	else {;
		matrix unexplainedhswomen = [unexplainedhswomen\_b[legal]];
		matrix unexplainedhswomense = [unexplainedhswomense\_se[legal]];
	};	
};

* MEN;
* FULL;
matlist [unexplainedmen,unexplainedmense];
* LOW SKILL;
matlist [unexplainedlsmen,unexplainedlsmense];
* HIGH SKILL;
matlist [unexplainedhsmen,unexplainedhsmense];

* WOMEN;
matlist [unexplainedwomen,unexplainedwomense];
* LOW SKILL;
matlist [unexplainedlswomen,unexplainedlswomense];
* HIGH SKILL;
matlist [unexplainedhswomen,unexplainedhswomense];

log close;


