#delimit ;
* FIGURE 3: UNDOCUMENTED WAGE PENALTY OVER TIME BY SPECIFIC COHORT;
* ACS;
capture log close;
log using "Logs/Fig_3_ACS.log", replace;

use acs/acs.dta, clear;


* KEEP ONLY IMMIGRANTS;
keep if imm==1;

drop if year==2017;

do generate_vars_and_sample.ado;

* POOL MEN AND WOMEN:;
* INCLUDES CONTROLS FOR: AGE, STATE OF RESIDENCE, YSM, EDUCATION, AND ENGLISH PROFICIENCY;
* NOTE: MANUALLY SAVE STANDARD ERRORS TO CALCULATE CI, SINCE THEY AREN'T INCLUDES IN SAVED RESULTS;
* RECENT ARRIVALS
#delimit ;
forvalues yr = 2008(1)2016 {;
	display `yr';
	regress lwage dbpl* dstate* dsex* ysm* deduc* dspeak* dage* legal [aw=perwt] if year==`yr' & ysm<=3;	
	if(`yr'==2008) {;
		matrix unexplained1 = [_b[legal]];
		matrix unexplained1se = [_se[legal]];
	};
	else {;		
		matrix unexplained1 = [unexplained1\_b[legal]];
		matrix unexplained1se = [unexplained1se\_se[legal]];
	};
	regress lwage dbpl* dstate* dsex* ysm* deduc* dspeak* dage* legal [aw=perwt] if year==`yr' & ysm>=10;
	if(`yr'==2008) {;
		matrix unexplained2 = [_b[legal]];
		matrix unexplained2se = [_se[legal]];
	};
	else {;		
		matrix unexplained2 = [unexplained2\_b[legal]];
		matrix unexplained2se = [unexplained2se\_se[legal]];
	};
};

matlist [unexplained1,unexplained1se];
matlist [unexplained2,unexplained2se];

log close;


