#delimit ;
* FIGURE 6: UNDOCUMENTED WAGE PENALTY BY AGE, WITH AND WITHOUT TASK AND OCCUPATION CONTROLS;
* ACS;
capture log close;
log using "Logs/Fig_6_ACS.log", replace;

use acs/acs.dta, clear;

drop if year==2017;

* KEEP ONLY IMMIGRANTS;
keep if imm==1;

do generate_vars_and_sample.ado;
*keep if year>=2014 & year<=2016;

tabulate occ1990, gen(docc);


merge m:1 occ1990 sex using occ1990tasks;
keep if _merge==3;


drop illegal_noh1b;
drop legal_noh1b;

* BY AGE GROUP:;
* MEN:;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* i.agecode i.agecode#i.legal [aw=perwt] if sex==1;
eststo regm1;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* ana man i.agecode i.agecode#i.legal [aw=perwt] if sex==1;
eststo regm2;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* i.occ1990 i.agecode i.agecode#i.legal [aw=perwt] if sex==1;
eststo regm3;

* WOMEN;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* i.agecode i.agecode#i.legal [aw=perwt] if sex==2;
eststo regw1;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* ana man i.agecode i.agecode#i.legal [aw=perwt] if sex==2;
eststo regw2;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* i.occ1990 i.agecode i.agecode#i.legal [aw=perwt] if sex==2;
eststo regw3;

esttab regm1 regm2 regm3, keep(*agecode*) noomitted not nostar;
esttab regw1 regw2 regw3, keep(*agecode*) noomitted not nostar;

* BY INDIVIDUAL AGE:;
* MEN:;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* i.age i.age#i.legal [aw=perwt] if sex==1;
eststo regagem1;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* ana man i.age i.age#i.legal [aw=perwt] if sex==1;
eststo regagem2;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* i.occ1990 i.age i.age#i.legal [aw=perwt] if sex==1;
eststo regagem3;

* WOMEN;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* i.age i.age#i.legal [aw=perwt] if sex==2;
eststo regagew1;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* ana man i.age i.age#i.legal [aw=perwt] if sex==2;
eststo regagew2;
regress lwage dyear* dbpl* dstate* ysm* deduc* dspeak* i.occ1990 i.age i.age#i.legal [aw=perwt] if sex==2;
eststo regagew3;

esttab regagem1 regagem2 regagem3, keep(*age*) noomitted not nostar;
esttab regagew1 regagew2 regagew3, keep(*age*) noomitted not nostar;

log close;


