#delimit ;
* TABLE 1: SUMMARY STATISTICS;
* ACS;
capture log close;
log using "Logs/Table_1_ACS.log", replace;

use acs/acs.dta, clear;

drop if year==2017;

* MATCH PEW CPS YEARS;
keep if year==2011 | year==2012;

do generate_vars_and_sample.ado;


g california = statefip==6;
g ny = statefip==36;
g texas = statefip==48;

* MEN;
tab code_noh1b if sex==1;
tab code_noh1b [aw=perwt] if sex==1;
tab code if sex==1;
tab code [aw=perwt] if sex==1;



* NATIVES;
sum age deduc* california ny texas [aw=perwt] if sex==1 & code==1;
* LEGAL;
* WITHOUT H1B CORRECTION:;
sum age deduc* speakengwell california ny texas [aw=perwt] if sex==1 & code_noh1b==2;
* WITH H1B CORRECTION:;
sum age deduc* speakengwell california ny texas [aw=perwt] if sex==1 & code==2;
* ILLEGAL;
* WITHOUT H1B CORRECTION:;
sum age deduc* speakengwell california ny texas [aw=perwt] if sex==1 & code_noh1b==3;
* WITH H1B CORRECTION:;
sum age deduc* speakengwell california ny texas [aw=perwt] if sex==1 & code==3;


* WOMEN;
tab code_noh1b if sex==2;
tab code_noh1b [aw=perwt] if sex==2;
tab code if sex==2;
tab code [aw=perwt] if sex==2;



* NATIVES;
sum age deduc* california ny texas [aw=perwt] if sex==2 & code==1;
* LEGAL;
* WITHOUT H1B CORRECTION:;
sum age deduc* speakengwell california ny texas [aw=perwt] if sex==2 & code_noh1b==2;
* WITH H1B CORRECTION:;
sum age deduc* speakengwell california ny texas [aw=perwt] if sex==2 & code==2;
* ILLEGAL;
* WITHOUT H1B CORRECTION:;
sum age deduc* speakengwell california ny texas [aw=perwt] if sex==2 & code_noh1b==3;
* WITH H1B CORRECTION:;
sum age deduc* speakengwell california ny texas [aw=perwt] if sex==2 & code==3;


* LOG WAGE GAP:;
* MEN;
sum lwage [aw=perwt] if code==1 & sex==1;
g lwagerelativemen = lwage - r(mean) if sex==1;

* WITHOUT H1B CORRECTION:;
tab code_noh1b [aw=perwt], sum(lwagerelativemen) mean noobs;
* WITH H1B CORRECTION:;
tab code [aw=perwt], sum(lwagerelativemen) mean noobs;

* WOMEN;
sum lwage [aw=perwt] if code==1 & sex==2;
g lwagerelativewomen = lwage - r(mean) if sex==2;

* WITHOUT H1B CORRECTION:;
tab code_noh1b [aw=perwt], sum(lwagerelativewomen) mean noobs;
* WITH H1B CORRECTION:;
tab code [aw=perwt], sum(lwagerelativewomen) mean noobs;

log close;


