#delimit ;
* TABLE 2: COMPARISON WITH WARREN;
* ACS;
capture log close;
log using "Logs/Table_2_ACS.log", replace;

use acs/acs.dta, clear;

drop if year==2017;

keep if year==2010;

do generate_vars_and_sample_warren_comparison.ado;

	
* COMPARE OUR RESULTS TO WARREN AND WARREN (2013) AND WARREN (2018):;

* DISTRIBUTION BY STATE (W TABLE 2, WW FIG II):;
g stategroup1 = .;
replace stategroup1 = 1 if statefip==6 | statefip==48 | statefip==36 | statefip==12 | statefip==17 | statefip==34 | statefip==13 | statefip==37 | statefip==4 | statefip==53;
g stategroup2 = .;
replace stategroup2 = 1 if statefip==6 | statefip==48 | statefip==36 | statefip==12 | statefip==17 | statefip==34 | statefip==13 | statefip==37 | statefip==51 | statefip==4 | statefip==24 | statefip==53 | statefip==25 | statefip==42 | statefip==32 | statefip==8 | statefip==26 | statefip==41 | statefip==9 | statefip==39 | statefip==47 | statefip==18 | statefip==18 | statefip==27 | statefip==45 | statefip==49 | statefip==40 | statefip==1;
g statenew = statefip if stategroup1==1;
replace statenew = 100 if stategroup1!=1;
label values statenew statefip_lbl;
label define statefip_lbl 100 "Other 25 and DC", add;
tab statenew if code==3 [fw=perwt], sort;


* DISTRIBUTION BY BIRTHPLACE (W TABLE 1):;
tab bpld if code==3 [fw=perwt], sort;

* DISTRIBUTION BY AGE GROUP (W TABLE 3):;
recode age (0/17 = 1) (18/24 = 2) (25/34 = 3) (35/44 = 4) (45/54 = 5) (55/100 = 6) (miss=.) (nonm=.), gen(agegroup);
tab agegroup if code==3 [fw=perwt];

* DISTRIBUTION BY ENTRY PERIOD (W TABLE 4):;
recode yrimmig (2005/2009 = 1) (2000/2004 = 2) (1990/1999 = 3) (1980/1989=4) (miss=.) (nonm=.) if code==3, gen(yrimmiggroup);
tab yrimmiggroup if code==3 [fw=perwt];


log close;
