#delimit ;
* TABLE 3: WAGE PENALTY DECOMPOSITION, LEGAL AND ILLEGAL IMMIGRANTS, USING MINCERIAN REGRESSION AND GELBACH (2016);
* ACS;
capture log close;
log using "Logs/Table_3_ACS.log", replace;

use acs/acs.dta, clear;

drop if year==2017;


* MATCH PEW CPS YEARS;
keep if year==2011 | year==2012;

* KEEP ONLY IMMIGRANTS;
keep if imm==1;

do generate_vars_and_sample.ado;


tab occ1990,g(docc1990);


* DECOMPOSITION WITHOUT ENGLISH PROFICIENCY;
* MEN;
b1x2 lwage [aw=perwt] if sex==1, x1all(legal) x2all(dsurvey* dstate1-dstate51 dage* ysm* deduc* dbpl*) x2delta(survey = dsurvey* : state = dstate1-dstate51 : age = dage* : ysm = ysm* : education = deduc* : birthplace = dbpl*) x1only(legal);
* WOMEN;
b1x2 lwage [aw=perwt] if sex==2, x1all(legal) x2all(dsurvey* dstate1-dstate51 dage* ysm* deduc* dbpl*) x2delta(survey = dsurvey* : state = dstate1-dstate51 : age = dage* : ysm = ysm* : education = deduc* : birthplace = dbpl*) x1only(legal);


* DECOMPOSITION WITH ENGLISH PROFICIENCY;
* MEN;
b1x2 lwage [aw=perwt] if sex==1, x1all(legal) x2all(dsurvey* dstate1-dstate51 dage* ysm* deduc* dbpl* dspeak*) x2delta(survey = dsurvey* : state = dstate1-dstate51 : age = dage* : ysm = ysm* : education = deduc* : birthplace = dbpl* : english = dspeak*) x1only(legal);
* WOMEN;
b1x2 lwage [aw=perwt] if sex==2, x1all(legal) x2all(dsurvey* dstate1-dstate51 dage* ysm* deduc* dbpl* dspeak*) x2delta(survey = dsurvey* : state = dstate1-dstate51 : age = dage* : ysm = ysm* : education = deduc* : birthplace = dbpl* : english = dspeak*) x1only(legal);

log close;


