#delimit ;
* TABLE 4: DACA AND WAGE PENALTY;

capture log close;
log using "Logs/Table_4_ACS.log", replace;


use acs/acs.dta, clear;

drop if year==2017;

drop if imm==0;

*EXCLUDING THE ENROLLED;
do generate_vars_and_sample.ado;

generate agem=age-ysm;
generate age2012= age + (2012-year);
generate eligible=(edcode>=2 & agem<=16 & age2012<=31);

tabulate year [aw=perwt] if eligible==1, sum(illegal);

tabulate year edcode [aw=perwt] if eligible==1 & illegal==1, ro nofreq;

generate legal0811=legal*(year>=2008 & year<=2011);
generate legal1213=legal*(year==2012 | year==2013);
generate legal14=legal*(year==2014);
generate legal15=legal*(year==2015);
generate legal16=legal*(year==2016);
generate legal17=legal*(year==2017);
generate legal1416=legal*(year>=2014 & year<=2016);
generate legal1417=legal*(year>=2014 & year<=2017);

summ age;

tabulate year edcode if eligible==1 [aw=perwt], ro nofreq;

sum age if eligible==1 & edcode>=2 & year==2010 [aw=perwt];
sum age if eligible==1 & edcode>=2 & year==2016 [aw=perwt];
sum age if eligible==1 & edcode>=2 & year==2017 [aw=perwt];

* COLUMN (1);
xi: areg lwage legal legal0811 legal14-legal17 
	sex i.edcode*i.agecode ysm* dstate* dspeak* dyear*
	if eligible==1 & edcode>=2 & year>=2010 [aw=perwt], absorb(bpl);

* COLUMN (3);
xi: areg lwage legal legal0811 legal14-legal17 
	sex i.edcode*i.agecode ysm* dstate* dspeak* dyear*
	if eligible==1 & edcode==2 & year>=2010 [aw=perwt], absorb(bpl);

generate altsample=(eligible==0 & age2012<=31);
* COLUMN (4);
xi: areg lwage legal legal0811 legal14-legal17 
	sex i.edcode*i.agecode ysm* dstate* dspeak* dyear*
	if altsample==1 & edcode==2 & year>=2010 [aw=perwt], absorb(bpl);


tabulate agem if altsample==1 & edcode==2;




use acs/acs.dta, clear;

*INCLUDES WORKERS IN SCHOOL;
do generate_vars_and_sample_inschool.ado;

drop if imm==0;

generate agem=age-ysm;
generate age2012= age + (2012-year);
generate eligible=(edcode>=2 & agem<=16 & age2012<=31);

tabulate year [aw=perwt] if eligible==1, sum(illegal);

generate legal0811=legal*(year>=2008 & year<=2011);
generate legal1213=legal*(year==2012 | year==2013);
generate legal14=legal*(year==2014);
generate legal15=legal*(year==2015);
generate legal16=legal*(year==2016);
generate legal17=legal*(year==2017);
generate legal1416=legal*(year>=2014 & year<=2016);
generate legal1417=legal*(year>=2014 & year<=2017);

summ age;

generate enrolled=(school==2);
	
* COLUMN (2);
xi: areg lwage legal legal0811 legal14-legal17 
	sex enrolled i.edcode*i.agecode ysm* dstate* dspeak* dyear*
	if eligible==1 & edcode>=2 & year>=2010 [aw=perwt], absorb(bpl);




log close;
