#delimit ;
* TABLE 6: WAGE PENALTY VARIATION BY STATE;

capture log close;
log using "Logs/Tables_5_6_ACS.log", replace;


#delimit ;
* GENERATE TEMPORARY ACS FILE:;
use acs/acs.dta, clear;

drop if year==2017;

* USE "code" TO GENERATE LEGAL AND UNDOCUMENTED;
generate legal=(code==2);
generate illegal=(code==3);

tabulate imm illegal [aw=perwt];
tabulate imm legal [aw=perwt];
tabulate citizen code;

replace imm=1 if imm==0 & illegal==1;

/*
*CALCULATE COUNTS OF LEGALS, ILLEGALS, AND NATIVES IN YEAR-STATE CELL;
egen nlegal=sum(perwt*(illegal==0 & imm==1)), by(year state);;
egen nillegal=sum(perwt*(illegal==1)), by(year state);
egen nnative=sum(perwt*(imm==0)), by(year state);
*/

*keep if age>=18 & age<=64;
keep if age>=21 & age<=64;
*keep if sex==1;


keep if age>=21 & age<=64;
keep if wkswork2>0;


*CALCULATE COUNTS OF LEGALS, UNDOCUMENTED, AND NATIVES IN YEAR-STATE CELL;
*NOTE THAT COUNTS ARE DEFINED IN SAMPLE OF PRIME AGE WORKERS;
egen nlegal=sum(perwt*(illegal==0 & imm==1)), by(year state);
egen nillegal=sum(perwt*(illegal==1)), by(year state);
egen nnative=sum(perwt*(imm==0)), by(year state);


*keep if classwkrd>=22 & classwkrd<=28;
drop if school==2;

generate ysm=year-yrimmig;
replace ysm=0 if imm==0;
replace ysm=0 if ysm<0;
generate ysm2=ysm*ysm;
generate ysm3=ysm2*ysm;
generate ysm4=ysm2*ysm2;

generate survey=year;

generate cpi=.;
replace cpi =144.5 if year==1993;	
replace cpi =148.2 if year==1994;	
replace cpi =152.4 if year==1995;	
replace cpi =156.9 if year==1996;	
replace cpi =160.5 if year==1997;	
replace cpi =163 if year==1998;	
replace cpi =166.6 if year==1999;	
replace cpi =172.2 if year==2000;	
replace cpi =177.1 if year==2001;	
replace cpi =179.9 if year==2002;	
replace cpi =184 if year==2003;	
replace cpi =188.9 if year==2004;	
replace cpi =195.3 if year==2005;	
replace cpi =201.6 if year==2006;	
replace cpi =207.342 if year==2007;	
replace cpi =215.303 if year==2008;	
replace cpi =214.537 if year==2009;	
replace cpi =218.056 if year==2010;
replace cpi =224.939 if year==2011;	
replace cpi =229.594 if year==2012;	
replace cpi =232.957 if year==2013;	
replace cpi =236.736 if year==2014;	
replace cpi =237.017 if year==2015;	
replace cpi =240.007 if year==2016;
replace cpi =245.11 if year==2017;	
generate deflator=240.007/cpi;
replace incwage=incwage*deflator;

generate weeks=wkswork1 if year<=2008;
replace weeks=8.0*(wkswork2==1) + 20.8*(wkswork2==2) + 33.1*(wkswork2==3) 
	+ 42.4*(wkswork2==4) + 48.3*(wkswork2==5) + 51.9*(wkswork2==6) if year>2007 ;


generate lannual=log(incwage);
generate lweekly=log(incwage/weeks);
generate lwage=log(incwage/(weeks*uhrswork));
drop if lannual==. | lweekly==. | lwage==.;

generate wage=exp(lwage);
summ wage [aw=perwt], detail;
summ wage if imm==1 [aw=perwt], detail;
drop if wage<2.78 | wage>128.45;
drop wage;

generate fte=(weeks*uhrswork)/2000;

*CALCULATE COUNTS OF LEGALS, UNDOCUMENTED, AND NATIVES IN YEAR-STATE CELL;
*NOTE THAT COUNTS ARE DEFINED IN SAMPLE OF PRIME AGE WORKERS;
egen nlegal2=sum(fte*perwt*(illegal==0 & imm==1)), by(year state);;
egen nillegal2=sum(fte*perwt*(illegal==1)), by(year state);
egen nnative2=sum(fte*perwt*(imm==0)), by(year state);


generate agecode=1*(age>=20 & age<=24) + 2*(age>=25 & age<=29)
         + 3*(age>=30 & age<=34) + 4*(age>=35 & age<=39)
         + 5*(age>=40 & age<=44) + 6*(age>=45 & age<=49)
         + 7*(age>=50 & age<=54) + 8*(age>=55 & age<=59)
         + 9*(age>=60 & age<=64);
generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);
tabulate educd edcode;

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);


generate arizona=(state==4);
generate alabama=(state==1);
generate georgia=(state==13);
generate sc=(state==45);
generate utah=(state==49);
generate indiana=(state==18);
generate miss=(state==28);
generate tenn=(state==47);
generate nc=(state==37);

generate everify=((arizona==1 & year>=2008) | (alabama==1 & year>=2012)
	| (miss==1 & year>=2011) | (sc==1 & year>=2010));
generate everify2=((arizona==1 & year>=2008) | (alabama==1 & year>=2013)
	| (miss==1 & year>=2012) | (sc==1 & year>=2011)
	| (georgia==1 & year>=2014) | (nc==1 & year>=2014)
	| (tenn==1 & year>=2017));
generate everify3=((arizona==1 & year>=2008) | (alabama==1 & year>=2012)
	| (miss==1 & year>=2008) | (sc==1 & year>=2012)
	| (georgia==1 & year>=2012) | (nc==1 & year>=2012)
	| (tenn==1 & year>=2017) | (utah==1 & year>=2010)) ;	
generate everify4=((arizona==1 & year>=2008) | (alabama==1 & year>=2012)
	| (miss==1 & year>=2008) | (sc==1 & year>=2012)
	| (georgia==1 & year>=2012) | (nc==1 & year>=2012)
	| (utah==1 & year>=2010)) ;	
	
	

drop if imm==0;

tabulate year, gen(dyear);
tabulate bpl, gen(dbpl);


tabulate state, gen(dstate);
tabulate speakeng;

tabulate speakeng, gen(denglish);

gen good=.;
replace good=1 if year==2008;
egen msize0=mean(good*nillegal), by(state);
replace good=.;
replace good=1 if year==2016;
egen msize1=mean(good*nillegal), by(state);

tabulate state if msize0>100000, sum(msize0);
tabulate state if msize1>100000, sum(msize1);
tabulate state if msize0>100000 | msize1>100000;

generate top15=(msize0>100000 | msize1>100000);


tabulate year if illegal==1 [aw=perwt], sum(top15);
tabulate year if illegal==0 [aw=perwt], sum(top15);

save acs/acs_impact,replace;



use acs/acs_impact,clear;
*MEN;
keep if sex==1;


generate cell=state*100000 + year;
quietly tabulate cell, gen(dcell);

forvalues x = 1(1)459 {; 
generate dlegal`x'=legal*dcell`x';
} ;

generate penalty=.;

reg lwage dlegal* sex dage* denglish* ysm* deduc* dbpl* dcell* [aw=perwt];

forvalues x = 1(1)459 {;
replace penalty=_b[dlegal`x'] if dcell`x'==1;
} ;

collapse (mean) penalty nlegal nillegal nnative everify* 
nlegal2 nillegal2 nnative2 top15
(count) nobs=penalty (sum) nobs0=legal nobs1=illegal [aw=perwt], by(year state);

*DEFINE WAGE PENALTY TO BE EXCESS WAGE OF EQUALLY SKILLED LEGAL IMMIGRANTS;
generate weight=(nobs0*nobs1)/(nobs0+nobs1);


*DEFINE FRACTION OF UNDOCUMENTED IN STATE'S POPULATION IN PERCENT;
generate pillegal=nillegal/(nnative+nillegal+nlegal);
replace pillegal=pillegal*100;

generate pillegal2=nillegal2/(nnative2+nillegal2+nlegal2);
replace pillegal2=pillegal2*100;


tabulate year, gen(dyear);
tabulate state, gen(dstate);

sort year state;
merge year state using "acs/blsunemp.dta";
drop _merge;

sort year state;
merge year state using "acs/ivdata.dta";
drop _merge;

generate phat=ivillegal/(nnative+ivillegal+ivlegal);
replace phat=phat*100;

* COLUMN (1):;
regress penalty pillegal dstate* dyear* [aw=weight], cluster(state) ;
ivregress 2sls penalty (pillegal=phat) dstate* dyear* [aw=weight], first cluster(state);

* COLUMN (2):;
regress penalty pillegal everify unemp dstate* dyear* [aw=weight], cluster(state);
ivregress 2sls penalty (pillegal=phat) everify unemp dstate* dyear* [aw=weight],
cluster(state);


* FIGURE 7: WAGE PENALTY OF MEN BY STATE-YEAR;
histogram penalty if top15==1, bin(30) saving(density.gph, replace) graphregion(color(white)) xtitle("Wage Penalty");

* TABLE 5: UNDOCUMENTED FRACTION AND WAGE PENALTY BY STATE;
list state nillegal pillegal penalty if year==2008 & top15==1, separator(0) noobs;
list state nillegal pillegal penalty if year==2016 & top15==1, separator(0) noobs;


*****************************************************************;
*TESTING FOR PERFECT SUBSTITUTION BETWEEN ILLEGALS AND LEGALS;

generate ratio=log(nlegal/nillegal);

regress penalty ratio dstate* dyear* [aw=weight], cluster(state);

*S.E. NOT CLUSTERED BECAUSE OF SMALL NUMBER OF STATES;
regress penalty ratio dstate* dyear* [aw=weight], robust;




use acs/acs_impact,clear;
*MEN, LOW-SKILL;
keep if sex==1;

keep if edcode<=2;


generate cell=state*100000 + year;
quietly tabulate cell, gen(dcell);

forvalues x = 1(1)459 {; 
generate dlegal`x'=legal*dcell`x';
} ;

generate penalty=.;

reg lwage dlegal* sex dage* denglish* ysm* deduc* dbpl* dcell* [aw=perwt];

forvalues x = 1(1)459 {;
replace penalty=_b[dlegal`x'] if dcell`x'==1;
} ;

collapse (mean) penalty nlegal nillegal nnative everify* 
nlegal2 nillegal2 nnative2 top15
(count) nobs=penalty (sum) nobs0=legal nobs1=illegal [aw=perwt], by(year state);

*DEFINE WAGE PENALTY TO BE EXCESS WAGE OF EQUALLY SKILLED LEGAL IMMIGRANTS;
generate weight=(nobs0*nobs1)/(nobs0+nobs1);


*DEFINE FRACTION OF UNDOCUMENTED IN STATE'S POPULATION IN PERCENT;
generate pillegal=nillegal/(nnative+nillegal+nlegal);
replace pillegal=pillegal*100;

generate pillegal2=nillegal2/(nnative2+nillegal2+nlegal2);
replace pillegal2=pillegal2*100;


tabulate year, gen(dyear);
tabulate state, gen(dstate);

sort year state;
merge year state using "acs/blsunemp.dta";
drop _merge;

sort year state;
merge year state using "acs/ivdata.dta";
drop _merge;

generate phat=ivillegal/(nnative+ivillegal+ivlegal);
replace phat=phat*100;

* COLUMN (3):;
regress penalty pillegal everify unemp dstate* dyear* [aw=weight], cluster(state);
ivregress 2sls penalty (pillegal=phat) everify unemp dstate* dyear* [aw=weight],
cluster(state);


use acs/acs_impact,clear;
*MEN, HIGH-SKILL;
keep if sex==1;

keep if edcode>=3;


generate cell=state*100000 + year;
quietly tabulate cell, gen(dcell);

forvalues x = 1(1)459 {; 
generate dlegal`x'=legal*dcell`x';
} ;

generate penalty=.;

reg lwage dlegal* sex dage* denglish* ysm* deduc* dbpl* dcell* [aw=perwt];

forvalues x = 1(1)459 {;
replace penalty=_b[dlegal`x'] if dcell`x'==1;
} ;

collapse (mean) penalty nlegal nillegal nnative everify* 
nlegal2 nillegal2 nnative2 top15
(count) nobs=penalty (sum) nobs0=legal nobs1=illegal [aw=perwt], by(year state);

*DEFINE WAGE PENALTY TO BE EXCESS WAGE OF EQUALLY SKILLED LEGAL IMMIGRANTS;
generate weight=(nobs0*nobs1)/(nobs0+nobs1);


*DEFINE FRACTION OF UNDOCUMENTED IN STATE'S POPULATION IN PERCENT;
generate pillegal=nillegal/(nnative+nillegal+nlegal);
replace pillegal=pillegal*100;

generate pillegal2=nillegal2/(nnative2+nillegal2+nlegal2);
replace pillegal2=pillegal2*100;


tabulate year, gen(dyear);
tabulate state, gen(dstate);

sort year state;
merge year state using "acs/blsunemp.dta";
drop _merge;

sort year state;
merge year state using "acs/ivdata.dta";
drop _merge;

generate phat=ivillegal/(nnative+ivillegal+ivlegal);
replace phat=phat*100;

* COLUMN (4):;
regress penalty pillegal everify unemp dstate* dyear* [aw=weight], cluster(state);
ivregress 2sls penalty (pillegal=phat) everify unemp dstate* dyear* [aw=weight],
cluster(state);

use acs/acs_impact,clear;
*WOMEN;
keep if sex==2;


generate cell=state*100000 + year;
quietly tabulate cell, gen(dcell);

forvalues x = 1(1)459 {; 
generate dlegal`x'=legal*dcell`x';
} ;

generate penalty=.;

reg lwage dlegal* sex dage* denglish* ysm* deduc* dbpl* dcell* [aw=perwt];

forvalues x = 1(1)459 {;
replace penalty=_b[dlegal`x'] if dcell`x'==1;
} ;

collapse (mean) penalty nlegal nillegal nnative everify* 
nlegal2 nillegal2 nnative2 top15
(count) nobs=penalty (sum) nobs0=legal nobs1=illegal [aw=perwt], by(year state);

*DEFINE WAGE PENALTY TO BE EXCESS WAGE OF EQUALLY SKILLED LEGAL IMMIGRANTS;
generate weight=(nobs0*nobs1)/(nobs0+nobs1);


*DEFINE FRACTION OF UNDOCUMENTED IN STATE'S POPULATION IN PERCENT;
generate pillegal=nillegal/(nnative+nillegal+nlegal);
replace pillegal=pillegal*100;

generate pillegal2=nillegal2/(nnative2+nillegal2+nlegal2);
replace pillegal2=pillegal2*100;


tabulate year, gen(dyear);
tabulate state, gen(dstate);

sort year state;
merge year state using "acs/blsunemp.dta";
drop _merge;

sort year state;
merge year state using "acs/ivdata.dta";
drop _merge;

generate phat=ivillegal/(nnative+ivillegal+ivlegal);
replace phat=phat*100;

* COLUMN (5):;
regress penalty pillegal everify unemp dstate* dyear* [aw=weight], cluster(state);
ivregress 2sls penalty (pillegal=phat) everify unemp dstate* dyear* [aw=weight],
cluster(state);

*TESTING FOR PERFECT SUBSTITUTION BETWEEN UNDOCUMENTED AND LEGALS;
* FOR WOMEN;

generate ratio=log(nlegal/nillegal);

regress penalty ratio dstate* dyear* [aw=weight], cluster(state);

*S.E. NOT CLUSTERED BECAUSE OF SMALL NUMBER OF STATES;
regress penalty ratio dstate* dyear* [aw=weight], robust;


log close;
