

* READ IN RAW TXT FILES AND SAVE AS STATA DATASETS
clear all
qui import delim using "ONET\Work Activities.txt"
save ONET\workactivities,replace
clear all
qui import delim using "ONET\Work Context.txt"
save ONET\workcontext,replace
clear all
qui import delim using ONET\Abilities.txt
save ONET\abilities,replace
clear all
qui import delim using ONET\Knowledge.txt
save ONET\knowledge,replace
clear all
qui import delim using "ONET\Work Styles.txt"
save ONET\workstyles,replace
clear all
qui import delim using "ONET\Skills.txt"
save ONET\skills,replace
clear all

* LOAD STATA DATASETS
use ONET\workactivities,clear

append using ONET\workcontext
append using ONET\abilities
append using ONET\knowledge
append using ONET\workstyles
append using ONET\skills


encode scaleid, g(scaleid_new)

* REMOVE PERIODS
replace elementid = subinstr(elementid, ".", "",.)


* USE LEVEL INSTEAD OF IMPORTANCE
keep if scaleid_new == 3 | scaleid_new == 5

destring onetsoccode, g(soc) ignore("-" ".")

keep soc elementid datavalue



reshape wide datavalue, i(soc) j(elementid) string


g socfull = soc
replace soc = int(soc/100)


 
* KEEP ONLY ONE 6-DIGIT OCCUPATION	
by soc,sort: g tempid = _n
keep if tempid==1
drop tempid

* RENAME SOC CODE VAR TO FACILITATE MERGING
rename soc occsoc

* CREATE NEW SOC CODE VARIABLES FOR MERGING AT LOWER DIGIT LEVELS
g occsoc1 = floor(occsoc/10)
g occsoc2 = floor(occsoc/100)
g occsoc3 = floor(occsoc/1000)
g occsoc4 = floor(occsoc/10000)

keep occsoc* datavalue*
save "ONET\soc_tasks0",replace

unab varlist : datavalue*

preserve


foreach x in `varlist' {
	by occsoc1,sort: egen `x'temp = mean(`x')	
	by occsoc1,sort: replace `x' = `x'temp
	drop `x'temp
}
by occsoc1,sort: g tempval = _n
keep if tempval==1
* CREATE NEW occsoc VARIABLE
drop occsoc
g occsoc = occsoc1*10
keep occsoc datavalue*
save "ONET\soc_tasks1",replace
restore

preserve
foreach x in `varlist' {
	by occsoc2,sort: egen `x'temp = mean(`x')	
	by occsoc2,sort: replace `x' = `x'temp
	drop `x'temp
}
by occsoc2,sort: g tempval = _n
keep if tempval==1
drop occsoc
g occsoc = occsoc2*100
keep occsoc datavalue*
save "ONET\soc_tasks2",replace
restore

preserve
foreach x in `varlist' {
	by occsoc3,sort: egen `x'temp = mean(`x')	
	by occsoc3,sort: replace `x' = `x'temp
	drop `x'temp
}
by occsoc3,sort: g tempval = _n
keep if tempval==1
drop occsoc
g occsoc = occsoc3*1000
keep occsoc datavalue*
save "ONET\soc_tasks3",replace
restore

preserve
foreach x in `varlist' {
	by occsoc4,sort: egen `x'temp = mean(`x')	
	by occsoc4,sort: replace `x' = `x'temp
	drop `x'temp
}
by occsoc4,sort: g tempval = _n
keep if tempval==1
drop occsoc
g occsoc = occsoc4*10000
keep occsoc datavalue*
save "ONET\soc_tasks4",replace
restore
