#delimit ;
generate legal=(code==2);
generate legal_noh1b=(code_noh1b==2);
generate illegal=(code==3);
generate illegal_noh1b=(code_noh1b==3);

tabulate imm illegal [aw=perwt];
tabulate imm legal [aw=perwt];
tabulate citizen code;

replace imm=1 if imm==0 & illegal==1;

* keep if age>=21 & age<=64;
* keep if wkswork2>0;
*keep if sex==1;
*keep if classwkrd>=22 & classwkrd<=28;
* drop if school==2;

generate survey=year;
tab survey, g(dsurvey);
tab survey, g(dyear);

generate cpi=.;
replace cpi =144.5 if year==1993;	
replace cpi =148.2 if year==1994;	
replace cpi =152.4 if year==1995;	
replace cpi =156.9 if year==1996;	
replace cpi =160.5 if year==1997;	
replace cpi =163 if year==1998;	
replace cpi =166.6 if year==1999;	
replace cpi =172.2 if year==2000;	
replace cpi =177.1 if year==2001;	
replace cpi =179.9 if year==2002;	
replace cpi =184 if year==2003;	
replace cpi =188.9 if year==2004;	
replace cpi =195.3 if year==2005;	
replace cpi =201.6 if year==2006;	
replace cpi =207.342 if year==2007;	
replace cpi =215.303 if year==2008;	
replace cpi =214.537 if year==2009;	
replace cpi =218.056 if year==2010;
replace cpi =224.939 if year==2011;	
replace cpi =229.594 if year==2012;	
replace cpi =232.957 if year==2013;	
replace cpi =236.736 if year==2014;	
replace cpi =237.017 if year==2015;	
replace cpi =240.007 if year==2016;	
replace cpi =245.11 if year==2017;		
generate deflator=240.007/cpi;
replace incwage=incwage*deflator;

generate weeks=wkswork1 if year<=2008;
replace weeks=8.0*(wkswork2==1) + 20.8*(wkswork2==2) + 33.1*(wkswork2==3) 
	+ 42.4*(wkswork2==4) + 48.3*(wkswork2==5) + 51.9*(wkswork2==6) if year>2007 ;


generate lannual=log(incwage);
generate lweekly=log(incwage/weeks);
g wage = incwage/(weeks*uhrswork);
generate lwage=log(incwage/(weeks*uhrswork));

* drop if lannual==. | lweekly==. | lwage==.;

* TRIM OUTLIER WAGES;
* drop if wage<2.78 | wage>128.45;


generate agecode=1*(age>=20 & age<=24) + 2*(age>=25 & age<=29)
         + 3*(age>=30 & age<=34) + 4*(age>=35 & age<=39)
         + 5*(age>=40 & age<=44) + 6*(age>=45 & age<=49)
         + 7*(age>=50 & age<=54) + 8*(age>=55 & age<=59)
         + 9*(age>=60 & age<=64);
generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);
tabulate educd edcode;


* RECODE ENGLISH ABILITY;
g speakengwell = .;
replace speakengwell = 0 if speakeng==1 | speakeng==6 | speakeng==5;
replace speakengwell = 1 if speakeng==4 | speakeng==3;

g speak = .;
replace speak = 1 if speakeng==1;
replace speak = 2 if speakeng==6;
replace speak = 3 if speakeng==5;
replace speak = 4 if speakeng==4 | speakeng==3;




tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);
tabulate bpl, gen(dbpl);
tabulate statefip, gen(dstate);
* tabulate speak, gen(dspeak);
tabulate speakeng, gen(dspeak);
tab sex,g(dsex);

generate ysm=year-yrimmig;
replace ysm = 0 if imm==0;

generate ysm2=ysm*ysm;
generate ysm3=ysm2*ysm;
generate ysm4=ysm2*ysm2;


generate yeduc=.;
replace yeduc=0 if educ==0;
replace yeduc=2 if educ==1;
replace yeduc=6.5 if educ==2;
replace yeduc=9 if educ==3;
replace yeduc=10 if educ==4;
replace yeduc=11 if educ==5;
replace yeduc=12 if educ==6;
replace yeduc=13 if educ==7;
replace yeduc=14 if educ==8;
replace yeduc=15 if educ==9;
replace yeduc=16 if educ==10;
replace yeduc=18 if educ==11;


